IIS7/8/8.5安装多版本PHP支持环境

随着互联网的发展,互联网的各项技术也是日新月异,而一些旧的源码程序就可能会在互联网技术发展的过程中逐渐不被兼容,例如08年特别火热的论坛源码DISCUZ,官网最近的版本也已经不支持PHP7.X,当个人站长在需要在WIN服务器下安装多个源码就可能会出现一些取舍上的纠结,例如DISCUZ和WORDPRESS共存的情况下,WORDPRESS在PHP7.0下运行效率要比PHP5.X高很多,又舍不得PHP7.0又需要PHP5.X来兼容DISCUZ的程序,这时PHP Manager就可以帮你解决这个难题。

主机类型:

Windows2008/Windows2012

兼容版本:

IIS7.0/IIS8.0/IIS8.5

所需程序:

PHP Manager(http://phpmanager.codeplex.com/releases/view/69115)

微软对PHP的支持越来越强,这点在IIS7中体现明显,不但有FastCGI的大力支持,还为PHP的管理专门增加了个PHP Manager。有了这个东东,在WINDOWS环境下基于IIS安装PHP简直是易如反掌。

虽然现在PHP7.X问世也有一段时间了,但许多开源的PHP程序都不是很好支持它,就比如说国内最常用的社区论坛源码Discuz的所有版本,它并不支持PHP7及以上,而广大站长又不想舍弃现有的高版本PHP该怎么办呢?有了PHP Manager这个好东西,在IIS下安装多个版本的PHP也变得非常容易。

首先,你要在你的WIN服务器上下载PHP Manager这个软件,下载地址在上方红色加粗字体处已经给出,最新版本是PHP Manager 1.2 for IIS 7不过虽然是IIS7版本的PHP Manager但是经测试该版本同样适用于IIS8.0/IIS8.5也就是说不管你的IIS是以上那种版本都下载并安装PHP Manager 1.2 for IIS 7这个程序。安装结束之后你的IIS管理界面就会多出如下图的图标:

界面是全英文的,但都非常简单易懂:

上面看到了我之前网站默认是运行PHP7.0的,默认这个界面内是没有PHP版本的,这时你就要从PHP官网下载你需要的PHP版本了,下载的类型和你之前配置主机环境时候的是一样的,从PHP官网上下载windows版本的PHP程序(下载地址:http://php.net/downloads.php)(记得一定要选择Windows downloads进去找)因为采用FastCgi模式运行,所以选择下载nts(非线程安全)的zip版本。下载下来后,找个地方分别解压缩,例如我之前的PHP7.0放在C:\PHP目录下,那我我新下载PHP5.X我就放在了C:\PHP-OLD目录下,总之给不同的PHP版本存放独立的目录。

在PHP Manager面板下,选择Register New PHP Version,这时弹出左上方的对话框,点击对话框中的【…】按钮,选择你要添加的PHP版本目录在其中找到目录下的php-cgi.exe文件,点击确认即可添加完成。如需继续添加其他版本PHP就再次点击Register New PHP Version进行同上的步骤即可。

以后需要用到那个PHP版本,就点击change PHP version选择需要的版本即可,上图可见我已经添加好了两个版本的PHP需要哪个我就选择哪个。要检验是否设置好,还可以点旁边的check phpinfo()来查看相应PHP设置信息。

当然PHP Manager也可以给整个服务器统一切换PHP版本,在左面目录处的主目录进入PHP Manager面板选择版本默认是给服务器下所有网站统一更换成所选择的PHP版本。

你也可以给服务器下每个独立的网站单独配置PHP版本,比如我给我博客使用PHP7.0给论坛网站配置PHP5.6操作原理相同,在左面目录处选择点击你的网站,从网站面板图标初进入PHP Manager选择PHP版本默认就是给你选择的网站切换你选择的PHP版本,真正实现一个服务器下多网站多PHP环境。

  • 发表于:
  • 原文链接https://kuaibao.qq.com/s/20180531A1X1A000?refer=cp_1026
  • 腾讯「云+社区」是腾讯内容开放平台帐号(企鹅号)传播渠道之一,根据《腾讯内容开放平台服务协议》转载发布内容。

扫码关注云+社区

领取腾讯云代金券